local DG = DoomGuy

freeslot("SPR_SHTG", "S_WEAPON_SHOTGUN", "MT_WEAPON_SHOTGUN")
states[S_WEAPON_SHOTGUN] = {sprite = SPR_SHTG, frame = A, nextstate = S_WEAPON_SHOTGUN, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_WEAPON_SHOTGUN] = {
	--$Name "Shotgun"
	--$Sprite SHTGA0
	--$Category "DOOM Weapons"
	doomednum = 2101,
	spawnstate = S_WEAPON_SHOTGUN,
	radius = 20 * FRACUNIT,
	height = 16 * FRACUNIT,
	damage = 3,
	mass = 4,
	flags = MF_SPECIAL
}
mobjinfo[MT_WEAPON_SHOTGUN].weapontype = "shotgun"
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_WEAPON_SHOTGUN)
addHook("TouchSpecial", DG.WeaponPickupHook, MT_WEAPON_SHOTGUN)

freeslot("SPR_SSHG", "S_WEAPON_SUPERSHOTGUN", "MT_WEAPON_SUPERSHOTGUN")
states[S_WEAPON_SUPERSHOTGUN] = {sprite = SPR_SSHG, frame = A, nextstate = S_WEAPON_SUPERSHOTGUN, tics = -1, var1 = 0, var2 = 0}
mobjinfo[MT_WEAPON_SUPERSHOTGUN] = {
	--$Name "Super Shotgun"
	--$Sprite SSHGA0
	--$Category "DOOM Weapons"
	doomednum = 2102,
	spawnstate = S_WEAPON_SUPERSHOTGUN,
	radius = 20 * FRACUNIT,
	height = 16 * FRACUNIT,
	damage = 3,
	mass = 4,
	flags = MF_SPECIAL
}
mobjinfo[MT_WEAPON_SUPERSHOTGUN].weapontype = "supershotgun"
addHook("MobjSpawn", function(mobj) mobj.spriteyscale = FU + (FU / 5) end, MT_WEAPON_SUPERSHOTGUN)
addHook("TouchSpecial", DG.WeaponPickupHook, MT_WEAPON_SUPERSHOTGUN)